<!DOCTYPE html>

<html xmlns:th="https://www.thymeleaf.org"
  th:replace="~{fragments/layout :: layout (~{::body},'mentors')}">

  <body>
  
  
    <h2>Mentor Information</h2>
  
  
    <table class="table table-striped" th:object="${mentor}">
      <tr>
        <th>Name</th>
        <td><b th:text="*{firstName + ' ' + lastName}"></b></td>
      </tr>
      <tr>
        <th>Address</th>
        <td th:text="*{address}" /></td>
      </tr>
      <tr>
        <th>City</th>
        <td th:text="*{city}" /></td>
      </tr>
      <tr>
        <th>Telephone</th>
        <td th:text="*{telephone}" /></td>
      </tr>
    </table>
  
    <a th:href="@{{id}/edit(id=${mentor.id})}" class="btn btn-default">Edit
      Mentor</a>
    <a th:href="@{{id}/mentees/new(id=${mentor.id})}" class="btn btn-default">Add
      New Mentee</a>
  
    <br />
    <br />
    <br />
    <h2>Mentee and Consultations</h2>
  
    <table class="table table-striped">
  
      <tr th:each="mentee : ${mentor.mentees}">
        <td valign="top">
          <dl class="dl-horizontal">
            <dt>Name</dt>
            <dd th:text="${mentee.name}" /></dd>
            <dt>Birth Date</dt>
            <dd th:text="${#temporals.format(mentee.birthDate, 'yyyy-MM-dd')}" /></dd>
            <dt>Type</dt>
            <dd th:text="${mentee.type}" /></dd>
          </dl>
        </td>
        <td valign="top">
          <table class="table-condensed">
            <thead>
              <tr>
                <th>Consultation Date</th>
                <th>Description</th>
              </tr>
            </thead>
            <tr th:each="consultation : ${mentee.consultations}">
              <td th:text="${#temporals.format(consultation.date, 'yyyy-MM-dd')}"></td>
              <td th:text="${consultation?.description}"></td>
            </tr>
            <tr>
              <td><a
                th:href="@{{mentorId}/mentees/{menteeId}/edit(mentorId=${mentor.id},menteeId=${mentee.id})}">Edit
                  Mentee</a></td>
              <td><a
                th:href="@{{mentorId}/mentees/{menteeId}/consultations/new(mentorId=${mentor.id},menteeId=${mentee.id})}">Add
                  Consultation</a></td>
            </tr>
          </table>
        </td>
      </tr>
  
    </table>
  
  </body>

</html>
